## Printer

Printer

## Synopsis

    #include <libxfprint/libxfprint.h>

                        Printer;
    void                printer_free                        (Printer *printer);
    void                printers_free                       (GList *printers);
    Printer*            printer_lookup_byname               (GList *list,
                                                             const gchar *name);
    Printer*            printer_lookup_byalias              (GList *list,
                                                             const gchar *alias);

## Description

## Details

### Printer

    typedef struct {
      gint type;
      gchar *name;
      gchar *alias;
    } Printer;

### printer_free ()

    void                printer_free                        (Printer *printer);

`printer` : |

### printers_free ()

    void                printers_free                       (GList *printers);

`printers` : |

### printer_lookup_byname ()

    Printer*            printer_lookup_byname               (GList *list,
                                                             const gchar *name);

`list` : |
`name` : |
Returns : |

### printer_lookup_byalias ()

    Printer*            printer_lookup_byalias              (GList *list,
                                                             const gchar *alias);

`list` : |
`alias` : |
Returns : |